"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ga4_properties_1 = require("../ga4-properties");
const action = {
    title: 'Select Item',
    description: 'This event signifies an item was selected from a list.',
    defaultSubscription: 'type = "track" and event = "Product Clicked"',
    platform: 'web',
    fields: {
        user_id: ga4_properties_1.user_id,
        item_list_name: ga4_properties_1.item_list_name,
        item_list_id: ga4_properties_1.item_list_id,
        items: {
            ...ga4_properties_1.items_single_products,
            required: true
        },
        user_properties: ga4_properties_1.user_properties,
        params: ga4_properties_1.params,
        send_to: ga4_properties_1.send_to
    },
    perform: (gtag, { payload, settings }) => {
        gtag('event', 'select_item', {
            item_list_id: payload.item_list_id,
            item_list_name: payload.item_list_name,
            items: payload.items,
            user_id: payload.user_id ?? undefined,
            user_properties: payload.user_properties,
            send_to: payload.send_to == true ? settings.measurementID : 'default',
            ...payload.params
        });
    }
};
exports.default = action;
//# sourceMappingURL=index.js.map