"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ga4_properties_1 = require("../ga4-properties");
const action = {
    title: 'Sign Up',
    description: 'The method used for sign up.',
    defaultSubscription: 'type = "track" and event = "Signed Up"',
    platform: 'web',
    fields: {
        user_id: ga4_properties_1.user_id,
        method: ga4_properties_1.method,
        user_properties: ga4_properties_1.user_properties,
        params: ga4_properties_1.params,
        send_to: ga4_properties_1.send_to
    },
    perform: (gtag, { payload, settings }) => {
        gtag('event', 'sign_up', {
            method: payload.method,
            user_id: payload.user_id ?? undefined,
            user_properties: payload.user_properties,
            send_to: payload.send_to == true ? settings.measurementID : 'default',
            ...payload.params
        });
    }
};
exports.default = action;
//# sourceMappingURL=index.js.map